## gamera 3.2.6

=== debian/changelog ===
gamera (3.2.6-3) unstable; urgency=low

  * Remove /usr/include/python2.X/gamera in preinst; otherwise dpkg wouldn't
    replace directories with symlinks or vice-versa (closes: #603602).
  * Make all /usr/include/python2.X/gamera symlinks to /usr/include/gamera, so
    that the preinst script could be dropped post-Squeeze.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 22 Nov 2010 17:31:24 +0100

gamera (3.2.6-2) unstable; urgency=low

  * Bump standards version to 3.9.1 (no changes needed).
  * Update patch headers. 
  * Fix memory leak in the _to_raw_string() method (closes: #601597).
    (fix-memory-leak-to-raw-string.diff)

 -- Jakub Wilk <jwilk@debian.org>  Sat, 13 Nov 2010 15:19:41 +0100

gamera (3.2.6-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches.
    + Update debian/copyright.
  * Fix FTBFS with nostrip build option.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 08 Jun 2010 22:39:54 +0200

gamera (3.2.5-1) unstable; urgency=low

  * New upstream release:
    + Drop fix-unaligned-access.diff, tiff-support-64bit.diff,
      png-support-libpng.diff; all applied upstream.
    + Refresh the remaining patches.
    + Update debian/copyright.
  * Let gamera-dbg only recommend (instead of depending on) python-dbg, as the
    package can be useful even without the latter.
  * Move other *-dbg packages from gamera-dbg's Recommends: to Suggests:, as
    it's unlikely they will be helpful in debugging problems with Gamera.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 14 Apr 2010 17:35:50 +0200

gamera (3.2.4-2) unstable; urgency=medium

  * Fix two RC bugs affecting testing (hence urgency=medium):
    * Link _png_support.so with libpng on all Unix architectures (closes:
      #570809). (png-support-libpng.diff)
    * Fix unaligned memory access in the generated C code (closes: #570953).
      (fix-unaligned-access.diff)
  * Really remove upstream-applied patches from the source package.
  * Replace patch fixing TIFF export with the one applied upstream.
  * Make gamera-gui recommend python-docutils, as it's needed to display
    context help.
  * Update debian/copyright.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 24 Feb 2010 16:47:16 +0100

gamera (3.2.4-1) unstable; urgency=low

  * New upstream release (closes: #569820).
    + Enabling “auto-move to next unclassified glyph” no longer triggers
      IndexError exceptions (closes: #555160).
    + Drop gui-classifier-glyphs-pane.diff, gui-help-typo.diff,
      gendoc-source-path.diff, callbackset-unpickle.diff: all applied
      upstream.
    + Refresh use-system-modules.diff.
  * Run tests at build time.
    + Build-depend on python-codespeak-lib, python-imaging,
      python-imaging-dbg, python-docutils and python-pygments.
    + Clean tests/tmp/* files.
  * Fix TIFF export on 64-bit machines (closes: #570559).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 21 Feb 2010 11:45:14 +0100

gamera (3.2.3-2) unstable; urgency=low

  * Provide detached symbols in the *-dbg package.
  * Switch to source format 3.0 (quilt).
  * Make python-gamera-dev “Architecture: all”.
  * Add stricter internel dependencies between python-gamera and
    python-gamera-dev/gamera-gui.
  * Update debian/copyright in accordance to the latest DEP-5 version.
  * Use “XSPV: >= 2.4”, as recent Python Policy frowns on “XSPV: all”.
  * Move the gamera.gui.has_gui module to the python-gamera package.
  * Add Debian menu entry.
  * Add freedesktop.org desktop entry.
  * Cherry-pick fixes from the upstream VCS:
    - Work around python-docutils bug, which broke documentation generation
      (closes: #563139). (gendoc-source-path.diff)
    - Make gamera.util.CallbackSet objects unpicklable (closes: #555089).
    - The sets module is deprecated in Python 2.6. Use set objects, rather than
      sets.Set objects (updated use-system-modules.diff).
    - Fix a typo in the gamera_gui help text (gui-help-typo.diff).
    - Fix display of classifier glyphs when adding glyphs to the classifier
      (closes: #555203).
  * Bump standards version to 3.8.4 (no changes needed).
  * Update my e-mail address.
  * Update dates in debian/copyright.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 31 Jan 2010 17:54:45 +0100

gamera (3.2.3-1) unstable; urgency=low

  * Initial release (closes: #269527).
  * Don't use an embedded copy of the GAlib library (use-system-galib.diff).
  * Don't use an embedded copy of the VIGRA library (use-system-vigra.diff).
  * Don't use embedded copies of standard Python modules
    (use-system-python-modules.diff).
  * Make plugin/toolkit/test paths compatible with python-support. Fix the
    documentation generator to look for test files in the build directory.
    (fix-paths.diff).
  * Use a prebuilt image for the draw_text plugin documentation example if
    X server is not available (gendoc-draw-text.diff).

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 09 Oct 2009 21:18:01 +0200
