=== debian/control ===
Source: gamera
Section: python
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Vcs-Svn: svn://svn.debian.org/python-modules/packages/gamera/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/gamera/trunk/
Build-Depends: debhelper (>= 7.3.5~),
 python-support (>= 0.90), python-all-dev, python-all-dbg,
 python-codespeak-lib, python-imaging, python-imaging-dbg, python-docutils, python-pygments, 
 libtiff4-dev, libpng12-dev,
 libvigraimpex-dev (>= 1.6.0-1~),
 libga-dev
Build-Depends-Indep:
 python-numpy, python-wxgtk2.8,
 help2man, netpbm
XS-Python-Version: >= 2.4
Standards-Version: 3.9.1
Homepage: http://gamera.sourceforge.net/

Package: python-gamera
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gamera-gui (<< 3.2.3-2~)
Recommends: python-wxgtk2.8, python-numpy, python-imaging
Suggests: gamera-doc
Description: framework for building document analysis applications
 The Gamera framework is a Python library for building custom
 applications for document analysis and recognition. Additionally, it
 allows for custom extensions.
 .
 Gamera can be used for a wide variety of tasks, from building complete
 image recognition systems down to implementing and evaluating
 particular algorithms for image processing or document layout analysis.

Package: python-gamera-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-gamera (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-dbg
Suggests: python-wxgtk2.8-dbg, python-numpy-dbg, python-imaging-dbg
Description: framework for building document analysis applications (debug symbols)
 The Gamera framework is a Python library for building custom
 applications for document analysis and recognition.
 .
 This package contains Gamera extension modules built for the Python
 debug interpreter.

Package: python-gamera-dev
Architecture: all
Depends: python-dev, libvigraimpex-dev, ${misc:Depends}
Recommends: python-all-dev, python-gamera (>= ${source:Version}), python-gamera (<= ${source:Version}.0~)
Description: framework for building document analysis applications (header files)
 The Gamera framework is a Python library for building custom
 applications for document analysis and recognition.
 .
 This package contains header files that might be required to build
 extra C/C++ extension modules for Gamera.

Package: gamera-gui
Architecture: all
Depends: python, ${python:Depends}, python-gamera (>= ${source:Version}), python-gamera (<= ${source:Version}.0~), python-wxgtk2.8, ${misc:Depends}
Recommends: python-matplotlib, python-docutils
Suggests: gamera-doc
Description: GUI for the Gamera framework
 The Gamera framework is a Python library for building custom
 applications for document analysis and recognition.
 .
 This package contains GUI for Gamera.

Package: gamera-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python-gamera, gamera-gui
Description: documentation for the Gamera framework
 The Gamera framework is a Python library for building custom
 applications for document analysis and recognition.
 .
 This package contains documentation for Gamera.
