=== debian/rules ===
#!/usr/bin/make -f

PYTHONPATH = $(wildcard $(CURDIR)/build/lib.*-$(shell pyversions -dv))
VERSION = $(shell dpkg-parsechangelog | grep ^Version | cut -d ' ' -f 2)

.PHONY: build
build: build-arch
# build does not depend on build-indep due to #374029

.PHONY: build-arch
build-arch: build/stamp

build/stamp:
	rm -Rf include/zlib*/ src/zlib*/ src/libpng*/ src/libtiff*/
	rm -Rf include/vigra/
	rm -Rf src/ga/
	dh build -s
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -x -e; \
	for version in $(shell pyversions -rv); do \
		PYTHONPATH=`ls -d $(CURDIR)/build/lib.*-$$version` python$$version debian/run-tests.py; \
		PYTHONPATH=`ls -d $(CURDIR)/build/lib_d.*-$$version $(CURDIR)/build/lib.*-$$version-pydebug` python$$version-dbg debian/run-tests.py; \
	done
endif
	touch $(@)

.PHONY: build-indep
build-indep: doc/stamp

doc/manpage/gamera_gui.1: build/stamp
	mkdir -p doc/manpage/
	ln -sf $(CURDIR)/debian/manpage-helper-1 doc/manpage/
	ln -sf $(CURDIR)/debian/manpage-helper-2 doc/manpage/gamera_gui
	chmod +x doc/manpage/gamera_gui
	cd doc/manpage/ && PYTHONPATH=$(PYTHONPATH) help2man --version-string=$(VERSION) --name='GUI for the Gamera framework' --no-info ./gamera_gui > gamera_gui.1

doc/stamp: build/stamp doc/manpage/gamera_gui.1
	cd doc && PYTHONPATH=$(PYTHONPATH) python gendoc.py
	touch $(@)

.PHONY: clean
clean:
	dh clean
	rm -Rf doc/html/images/
	rm -Rf doc/manpage/
	rm -Rf build/
	find . -type f -name '*.py[co]' -delete

.PHONY: install
install: install-arch install-indep

.PHONY: install-arch
install-arch: build-arch
	dh install -s

.PHONY: install-indep
install-indep: build-indep
	dh install -i --until dh_install
	find debian/gamera-gui/ -name has_gui.py -delete
	pngtopnm < gamera/pixmaps/icon.png | ppmtoxpm > debian/gamera-gui/usr/share/pixmaps/gamera-gui.xpm
	dh install -i --before dh_link
	set -e; cd debian/python-gamera-dev/usr/include/; \
		mv $(shell pyversions -d)/gamera .; \
		rm -Rf python2.*/; \
		for version in $(shell pyversions -r); do \
		for suffix in "" _d; do \
			mkdir -p $$version$$suffix; \
			ln -sf ../gamera $$version$$suffix/gamera; \
		done; \
		done
	dh install -i --remaining
	sed -i -e '1 s|.*|#!/usr/bin/python|' debian/gamera-gui/usr/bin/gamera_gui

.PHONY: binary
binary: install
	dh binary

.PHONY: binary-arch
binary-arch: install-arch
	dh binary-arch

.PHONY: binary-indep
binary-indep: install-indep
	dh binary-indep

.PHONY: override_dh_strip
override_dh_strip:
ifeq ($(filter nostrip,$(DEB_BUILD_OPTIONS)),)
	dh_strip --dbg-package=python-gamera-dbg
	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
endif

.NOTPARALLEL:

# vim:ts=4 sw=4 noet
