## gamera 3.3.0

=== debian/changelog ===
gamera (3.3.0-2) unstable; urgency=low

  * Remove python-stats from Build-Depends (closes: #627726).
  * Eliminate files with duplicate contents from the documentation package
    using fdupes and a dedicated script.
    + Update debian/rules accordingly.
    + Add fdupes and python (>= 2.5) to Build-Depends-Indep.
  * Update debian/copyright.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 26 May 2011 00:58:45 +0200

gamera (3.3.0-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches. 
    + Update copyright information. 
  * Use the embedded copy of python-stats again; see bug #620159.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 04 May 2011 15:35:32 +0200

gamera (3.2.7-3) unstable; urgency=low

  * Move python-stats from Build-Depends to Build-Depends-Indep.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Apr 2011 16:57:33 +0200

gamera (3.2.7-2) unstable; urgency=low

  * Remove io.py, stats.py and pstat.py from the binary package.
    (Build-)depend on python-stats instead.
  * Build-depend on python-py (rather than python-codespeak-lib).
  * Bump standards version to 3.9.2 (no changes needed).
  * Add a missing include to fix FTBFS with GCC 4.6 (fix-ftbfs-gcc4.6.diff,
    LP: #770886).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Apr 2011 13:14:37 +0200

gamera (3.2.7-1) unstable; urgency=low

  * New upstream release.
    + Drop fix-memory-leak-to-raw-string.diff, applied upstream.
    + Refresh other patches.
    + Don't hardcode Python or wx versions at build time.
      (setup-no-import-wx.diff)
  * Strip file extension from icon name in the desktop file (closes: #609570).
    Thanks to Daniel Stender for the bug report.
  * Overhaul debian/rules.
  * Update debian/copyright to the latest DEP-5 version.
  * Include full text of CC-BY-SA-3.0 in debian/copyright.
  * Use dpkg-buildflags to set CFLAGS and LDFLAGS.
    + Build depend on dpkg-dev (>= 1.15.7).
  * Update patch headers.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 11 Mar 2011 20:40:45 +0100
