=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/gamera/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/gamera/trunk/
-Build-Depends: debhelper (>= 7.3.5~),
+Build-Depends: debhelper (>= 7.3.5~), dpkg-dev (>= 1.15.7~),
  python-support (>= 0.90), python-all-dev, python-all-dbg,
- python-codespeak-lib, python-imaging, python-imaging-dbg, python-docutils, python-pygments, 
+ python-py, python-imaging, python-imaging-dbg, python-docutils, python-pygments,
  libtiff4-dev, libpng12-dev,
  libvigraimpex-dev (>= 1.6.0-1~),
  libga-dev
 Build-Depends-Indep:
  python-numpy, python-wxgtk2.8,
- help2man, netpbm
+ help2man, netpbm,
+ python (>= 2.5), fdupes
 XS-Python-Version: >= 2.4
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://gamera.sourceforge.net/
 
 Package: python-gamera
