## gamera 3.3.1

=== debian/changelog ===
gamera (3.3.1-1) unstable; urgency=low

  * New upstream release.
    + Drop fix-ftbfs-gcc4.6.diff, applied upstream.
  * Demote Recommends of the documentation package to Suggests.
  * Update debian/copyright to the latest DEP-5 version.
  * Compress binary packages with xz.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 26 Aug 2011 02:56:11 +0200
