=== debian/control ===
--- 
+++ 
@@ -74,7 +74,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: python-gamera, gamera-gui
+Suggests: python-gamera, gamera-gui
 Description: documentation for the Gamera framework
  The Gamera framework is a Python library for building custom
  applications for document analysis and recognition.
