=== debian/rules ===
--- 
+++ 
@@ -118,6 +118,9 @@
 	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
 endif
 
+.PHONY: override_dh_builddeb
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
 
 # clean target
 # ============
