## gamera 3.3.2

=== debian/changelog ===
gamera (3.3.2-2) unstable; urgency=low

  * Use dpkg-buildflags to set CPPFLAGS.
  * Move detached debugging symbols to /usr/lib/debug/.build-id/ (using a
    dedicated dh_buildid script).
  * Add pre-dependency on dpkg >= 1.15.6 (for data.tar.xz support).
  * Drop preinst/postrm scripts that were needed to fix #603602.
  * Create namespace package ‘gamera.toolkit’. This allows
    python-gamera.toolkit.* packages, both those using dh_python2 and those
    using python-support, to be co-importable. (namespace-package.diff)
  * Fix type mismatch in graph initialization code (hopefully closes: #650520;
    graphmodule-fix-type-mismatch.diff).
  * Add Built-Using fields to python-gamera and python-gamera-dbg.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 08 Dec 2011 01:08:04 +0100

gamera (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Export PYTHONWARNINGS=d in debian/rules to enable all warnings in Python
    code.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 23 Sep 2011 20:13:36 +0200
