=== debian/control ===
--- 
+++ 
@@ -21,10 +21,12 @@
 
 Package: python-gamera
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Replaces: gamera-gui (<< 3.2.3-2~)
 Recommends: python-wxgtk2.8, python-numpy, python-imaging
 Suggests: gamera-doc
+Built-Using: libvigraimpex (= ${vigra:Version}) 
 Description: framework for building document analysis applications
  The Gamera framework is a Python library for building custom
  applications for document analysis and recognition. Additionally, it
@@ -38,9 +40,11 @@
 Section: debug
 Priority: extra
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: python-gamera (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-dbg
 Suggests: python-wxgtk2.8-dbg, python-numpy-dbg, python-imaging-dbg
+Built-Using: libvigraimpex (= ${vigra:Version}) 
 Description: framework for building document analysis applications (debug symbols)
  The Gamera framework is a Python library for building custom
  applications for document analysis and recognition.
@@ -50,6 +54,7 @@
 
 Package: python-gamera-dev
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: python-dev, libvigraimpex-dev, ${misc:Depends}
 Recommends: python-all-dev, python-gamera (>= ${source:Version}), python-gamera (<= ${source:Version}.0~)
 Description: framework for building document analysis applications (header files)
@@ -61,6 +66,7 @@
 
 Package: gamera-gui
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: python, ${python:Depends}, python-gamera (>= ${source:Version}), python-gamera (<= ${source:Version}.0~), python-wxgtk2.8, ${misc:Depends}
 Recommends: python-matplotlib, python-docutils
 Suggests: gamera-doc
@@ -73,6 +79,7 @@
 Package: gamera-doc
 Section: doc
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}
 Suggests: python-gamera, gamera-gui
 Description: documentation for the Gamera framework
