=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+export PYTHONWARNINGS=d
+
 export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 ifneq ($(filter parallel=%,$(DEB_BUILD_OPTIONS)),)
@@ -14,6 +17,7 @@
 
 version = $(shell dpkg-parsechangelog | grep ^Version | cut -d ' ' -f 2)
 
+vigra_version = $(shell dpkg-query -Wf '$${Version}' libvigraimpex-dev | sed -e 's/[+]b[0-9]\+$$//')
 
 # build and build-* targets
 # =========================
@@ -113,10 +117,12 @@
 
 .PHONY: override_dh_strip
 override_dh_strip:
-ifeq ($(filter nostrip,$(DEB_BUILD_OPTIONS)),)
 	dh_strip --dbg-package=python-gamera-dbg
-	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
-endif
+	debian/dh_buildid
+
+.PHONY: override_dh_gencontrol
+override_dh_gencontrol:
+	dh_gencontrol -- -Vvigra:Version=$(vigra_version)
 
 .PHONY: override_dh_builddeb
 override_dh_builddeb:
