## gamera 3.3.3

=== debian/changelog ===
gamera (3.3.3-2ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 19:27:32 +0100

gamera (3.3.3-2) unstable; urgency=low

  * DEP-8 tests: use $ADTTMP.
  * Use rdfind instead of fdupes (closes: #678254).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 04 Jul 2012 16:50:39 +0200

gamera (3.3.3-1) unstable; urgency=low

  * New upstream release.
    + Drop graphmodule-fix-type-mismatch.diff; applied upstream.
    + Drop gcc-4.7-compat.diff; applied upstream.
    + Refresh other patches. 
  * Improve DEP-8 tests:
    + Redirect nosetests output from stderr to stdout.
    + Copy tests to a temporary directory; remove rw-build-tree restriction.
    + Rename them, so that they match binary package names.
  * Fix compatibility with PIL ≥ 1.2.
    (pil-import.diff)

 -- Jakub Wilk <jwilk@debian.org>  Wed, 06 Jun 2012 19:37:21 +0200

gamera (3.3.2-3) unstable; urgency=low

  * Update patch headers.
  * Set manpage helper executable permissions directly in .debian.tar instead
    of changing it at build time.
  * Build -dbg extension modules without optimization.
  * Bump standards version to 3.9.3.
    + Update debian/copyright URI.
  * Build-depend on libpng-dev instead of libpng12-dev (closes: #662340).
    Thanks to Nobuhiro Iwamatsu for the bug report.
  * Port the test suite to nose (closes: #664670).
    + Add patch to fix some incompatibilities.
      (nosetests.diff)
    + Build-depend on python-nose instead of python-py.
    + Update the patch running script.
  * Cherry-pick upstream patch to fix compatibility with GCC 4.7.
    (gcc-4.7-compat.diff)
  * Update the copyright file.
  * When running tests:
    + Set sys.path directly in debian/run-tests.py rather than in debian/rules
      via PYTHONPATH.
    + Use xargs to iterate over all Python versions.
  * Run tests in override_dh_auto_test rather than in override_dh_auto_build.
  * Trap errors from pclose(3) in the test suite.
    (trap-errors-from-pclose.diff)
  * Build-depend on procps, as ps(1) is needed for the test suite.
  * Add DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 18 Apr 2012 21:23:21 +0200
