=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: gamera
 Section: python
 Priority: optional
-Maintainer: Jakub Wilk <jwilk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jakub Wilk <jwilk@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/gamera/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/gamera/trunk/
 Build-Depends: debhelper (>= 7.3.5~), dpkg-dev (>= 1.15.7~),
  python-support (>= 0.90), python-all-dev, python-all-dbg,
- python-py, python-imaging, python-imaging-dbg, python-docutils, python-pygments,
- libtiff4-dev, libpng12-dev,
+ python-nose, procps, python-docutils, python-pygments,
+ python-imaging, python-imaging-dbg,
+ libtiff-dev, libpng-dev,
  libvigraimpex-dev (>= 1.6.0-1~),
  libga-dev
 Build-Depends-Indep:
  python-numpy, python-wxgtk2.8,
  help2man, netpbm,
- python (>= 2.5), fdupes
+ python (>= 2.5), rdfind
 XS-Python-Version: >= 2.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://gamera.sourceforge.net/
 
 Package: python-gamera
