=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export PYTHONWARNINGS=d
 
 export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+export CFLAGS_noopt = $(patsubst -O%,-O0,$(CFLAGS))
 export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
@@ -10,9 +11,9 @@
     makeflags = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
+python_all = pyversions -r | tr ' ' '\n' | sed -e 'p; s/$$/-dbg/' | xargs -t -I {} env {}
+
 pythonpath = $$(_py_=$(strip $(1)); _py_=$${_py_\#python}; ls -d $(CURDIR)/build/lib.*-$${_py_})
-pythonpath_dbg = $$(_py_=$(strip $(1)); _py_=$${_py_\#python}; ls -d $(CURDIR)/build/lib_d.*-$${_py_} 2>/dev/null || ls -d $(CURDIR)/build/lib.*-$${_py_}-pydebug)
-
 default_pythonpath = $(call pythonpath,$(shell pyversions -d))
 
 version = $(shell dpkg-parsechangelog | grep ^Version | cut -d ' ' -f 2)
@@ -37,12 +38,11 @@
 	rm -Rf include/vigra/
 	rm -Rf src/ga/
 	$(MAKE) -f debian/rules $(makeflags) build/stamp
+
+.PHONY: override_dh_auto_test
+override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	set -x -e; \
-	for python in $(shell pyversions -r); do \
-		PYTHONPATH=$(call pythonpath,$$python) $$python debian/run-tests.py; \
-		PYTHONPATH=$(call pythonpath_dbg,$$python) $$python-dbg debian/run-tests.py; \
-	done
+	$(python_all) debian/run-tests.py
 endif
 
 build/stamp: $(patsubst %,build/stamp-python%,$(shell pyversions -rv))
@@ -52,6 +52,10 @@
 
 build/stamp-python%:
 	python$(*) setup.py build
+	touch $(@)
+
+build/stamp-python%-dbg:
+	CFLAGS="$$CFLAGS_noopt" python$(*)-dbg setup.py build
 	touch $(@)
 
 
@@ -74,14 +78,13 @@
 ifneq ($(shell dh_listpackages | grep -x -F gamera-doc),)
 	cd debian/gamera-doc/usr/share/doc/gamera-doc/html/ && \
 		$(CURDIR)/debian/symlink-helper ../src/ . && \
-		fdupes -r --linkhard .
+		rdfind -makehardlinks true -makeresultsfile false .
 endif
 
 doc/manpage/gamera_gui.1: build/stamp
 	mkdir -p doc/manpage/
 	ln -sf $(CURDIR)/debian/manpage-helper-1 doc/manpage/
 	ln -sf $(CURDIR)/debian/manpage-helper-2 doc/manpage/gamera_gui
-	chmod +x doc/manpage/gamera_gui
 	cd doc/manpage/ && \
 		PYTHONPATH=$(default_pythonpath) \
 		help2man --version-string=$(version) --name='GUI for the Gamera framework' --no-info ./gamera_gui > gamera_gui.1
