=== debian/tests/control ===
Tests: python-gamera
Features: no-build-needed
Depends: python-nose,
 python-gamera,
 python-docutils, python-pygments

Tests: python-gamera-dbg
Features: no-build-needed
Depends: python-nose, python-dbg,
 python-gamera, python-gamera-dbg,
 python-docutils, python-pygments
