=== debian/watch ===
version=3
http://sf.net/gamera/gamera-([0-9.]+)[.]tar[.]gz
