## gamera 3.4.1

=== debian/changelog ===
gamera (3.4.1-1) unstable; urgency=medium

  [ Daniel Stender ]
  * New upstream release (3.4.1, Closes: #747548).
  * Removed setup-no-import.diff (setup.py now provides --nowx switch,
    added that to deb/rules.)
  * Added avoid_mktemp.diff to fix CVE-2014-1937 (Closes: #737324).
  * Refreshed fix-typos.diff.
  * deb/control:
    + Changed maintainer (Closes: #629177).
    + Changed b-d from libtiff4-dev to libtiff-dev (Closes: #736004).
    + Removed unnecessary build-dep versions.
    + Dropped b-d on python_support.
    + Changed XS-Python-Version to X-Python-Version.
    + Bump standards version to 3.9.5 (no changes needed).
    + Relocated Vcs-* fields.
    + Shortened some short description lines.
  * Updated deb/copyright, sorted holders, padded, removed trailing commas.
  * deb/rules:
    + Added export lines for DH_VERBOSE and DEB_BUILD_OPTIONS.
    + Replaced dh_pysupport with dh_python2.
    + Removal of Sourceforge logo to prevent privacy-breach-logo.
  * Added absolute path to icon in gamera-gui.menu.
  * Added Keywords to deb/gamera-gui.desktop.
  * Added override for inconsistent-testsuite-field (Closes: #692661 wontfix).
  * Wrapped-and-sorted.

  [ Jakub Wilk ]
  * New upstream release (3.4.0):
    + Drop pil-import.diff; applied upstream.
    + Drop use-system-galib.diff; no longer needed.
    + Refresh other patches.
    + Drop libga-dev from Build-Depends; no longer needed.
    + Bump minimum required Python version to 2.5.
    + Add gamera/__compiletime_config__.py to debian/clean.
    + Update debian/copyright.
  * Add patch to fix spelling mistakes (fix-typos.diff).
  * Rewrite debian/rules without using dh.
    + Reduce minimum required debhelper version to 7.
  * Install *.egg-info into the binary package.
  * Override HOME, so that ~/.matplotlib/ directory is not left behind.
  * Set PYTHONHASHSEED=random in debian/rules.
  * Use canonical URIs for Vcs-* fields.

 -- Daniel Stender <debian@danielstender.com>  Fri, 25 Jul 2014 20:59:16 +0200
