=== debian/control ===
Source: gamera
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 7),
 dpkg-dev (>= 1.15.7~),
 libpng-dev,
 libtiff-dev,
 libvigraimpex-dev,
 procps,
 python-all-dbg,
 python-all-dev,
 python-docutils,
 python-imaging,
 python-imaging-dbg,
 python-nose,
 python-pygments
Build-Depends-Indep:
 help2man,
 netpbm,
 python,
 python-numpy,
 python-wxgtk2.8,
 rdfind
X-Python-Version: >= 2.5
Standards-Version: 3.9.5
Homepage: http://gamera.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/gamera/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/gamera/trunk/

Package: python-gamera
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Replaces: gamera-gui (<< 3.2.3-2~)
Recommends: python-imaging, python-numpy, python-wxgtk2.8
Suggests: gamera-doc
Built-Using: libvigraimpex (= ${vigra:Version})
Description: framework for building document analysis applications
 The Gamera framework is a Python library for building custom
 applications for document analysis and recognition. Additionally, it
 allows for custom extensions.
 .
 Gamera can be used for a wide variety of tasks, from building complete
 image recognition systems down to implementing and evaluating
 particular algorithms for image processing or document layout analysis.

Package: python-gamera-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends:
 python-gamera (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends: python-dbg
Suggests: python-imaging-dbg, python-numpy-dbg, python-wxgtk2.8-dbg
Built-Using: libvigraimpex (= ${vigra:Version})
Description: framework for document analysis applications (debug symbols)
 The Gamera framework is a Python library for building custom
 applications for document analysis and recognition.
 .
 This package contains Gamera extension modules built for the Python
 debug interpreter.

Package: python-gamera-dev
Architecture: all
Pre-Depends: dpkg (>= 1.15.6)
Depends: libvigraimpex-dev, python-dev, ${misc:Depends}
Recommends:
 python-all-dev,
 python-gamera (<= ${source:Version}.0~),
 python-gamera (>= ${source:Version})
Description: framework for document analysis applications (header files)
 The Gamera framework is a Python library for building custom
 applications for document analysis and recognition.
 .
 This package contains header files that might be required to build
 extra C/C++ extension modules for Gamera.

Package: gamera-gui
Architecture: all
Pre-Depends: dpkg (>= 1.15.6)
Depends:
 python,
 python-gamera (<= ${source:Version}.0~),
 python-gamera (>= ${source:Version}),
 python-wxgtk2.8,
 ${misc:Depends},
 ${python:Depends}
Recommends: python-docutils, python-matplotlib
Suggests: gamera-doc
Description: GUI for the Gamera framework
 The Gamera framework is a Python library for building custom
 applications for document analysis and recognition.
 .
 This package contains GUI for Gamera.

Package: gamera-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}
Suggests: gamera-gui, python-gamera
Description: documentation for the Gamera framework
 The Gamera framework is a Python library for building custom
 applications for document analysis and recognition.
 .
 This package contains documentation for Gamera.
