## gamera 3.4.1+svn1423

=== debian/changelog ===
gamera (3.4.1+svn1423-4) unstable; urgency=medium

  * Upload to unstable.
  * Specified patches Forwarded fields according to DEP-3.

 -- Daniel Stender <debian@danielstender.com>  Mon, 08 Dec 2014 01:18:36 +0100

gamera (3.4.1+svn1423-3) experimental; urgency=medium

  * Build dbg on arm64 with different optimization (Closes: #766740).
  * Some patches toggled forwarded.

 -- Daniel Stender <debian@danielstender.com>  Thu, 20 Nov 2014 13:54:10 +0100

gamera (3.4.1+svn1423-2) unstable; urgency=medium

  * Added gendoc-version-parsing.diff (Closes: #767158).

 -- Daniel Stender <debian@danielstender.com>  Wed, 12 Nov 2014 09:45:13 +0100

gamera (3.4.1+svn1423-1) unstable; urgency=medium

  * Updated source to SVN rev. 1423.
  * deb/rules: changed optimizations (Closes: #757168, thanks to Jakub Wilk).
  * deb/control:
    + bumped standards to 3.9.6 (no changes needed).
    + added XS-Testsuite (Closes: #692661, dropped override).
    + bumped dep of docs on main packages from Suggests to Recommends.
  * deb/copyright:
    + removed license for debian/dh_buildid (dropped in previous package).
    + updated some license short names.
  * deb/tests/control: removed no-build-needed (non-standard feature).
  * Corrected bug URL in suppress-wxdebug-assertion-messages.diff.
  * wrap-and-sort -a -s.

 -- Daniel Stender <debian@danielstender.com>  Wed, 08 Oct 2014 14:00:38 +0200

gamera (3.4.1+svn1422-1) unstable; urgency=medium

  * Updated source to SVN rev. 1422 (added doc/src/ to
    --extend-diff-ignore in deb/sources/options).
  * bumped python-wxgtk dependencies to 3.0 (Closes: #757208):
    + updated gendoc-use-wxversion.diff and gendoc-draw-text.diff.
    + added wxpython3.0-transition.diff.
    + added suppress-wxdebug-assertion-messages.diff (Closes: #758578).
    + bumped deps in deb/control.
  * bumped debhelper level to 9:
   + changed deb/compat, updated version in d/control.
   + removed deb/dh_buildid (obsolete).
  * deb/rules: added -X.txt to dh_compress for docs package (and adjusted
    .docs-base accordingly).

 -- Daniel Stender <debian@danielstender.com>  Tue, 26 Aug 2014 10:00:02 +0200
