=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 9),
  dpkg-dev (>= 1.15.7~),
  libpng-dev,
  libtiff-dev,
@@ -23,21 +23,31 @@
  netpbm,
  python,
  python-numpy,
- python-wxgtk2.8,
+ python-wxgtk3.0,
  rdfind
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://gamera.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/gamera/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/gamera/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-gamera
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Replaces: gamera-gui (<< 3.2.3-2~)
-Recommends: python-imaging, python-numpy, python-wxgtk2.8
-Suggests: gamera-doc
+Pre-Depends:
+ dpkg (>= 1.15.6)
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
+Replaces:
+ gamera-gui (<< 3.2.3-2~)
+Recommends:
+ python-imaging,
+ python-numpy,
+ python-wxgtk3.0
+Suggests:
+ gamera-doc
 Built-Using: libvigraimpex (= ${vigra:Version})
 Description: framework for building document analysis applications
  The Gamera framework is a Python library for building custom
@@ -52,14 +62,19 @@
 Section: debug
 Priority: extra
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Pre-Depends:
+ dpkg (>= 1.15.6)
 Depends:
  python-gamera (= ${binary:Version}),
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
-Recommends: python-dbg
-Suggests: python-imaging-dbg, python-numpy-dbg, python-wxgtk2.8-dbg
+Recommends:
+ python-dbg
+Suggests:
+ python-imaging-dbg,
+ python-numpy-dbg,
+ python-wxgtk3.0-dbg
 Built-Using: libvigraimpex (= ${vigra:Version})
 Description: framework for document analysis applications (debug symbols)
  The Gamera framework is a Python library for building custom
@@ -70,8 +85,12 @@
 
 Package: python-gamera-dev
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6)
-Depends: libvigraimpex-dev, python-dev, ${misc:Depends}
+Pre-Depends:
+ dpkg (>= 1.15.6)
+Depends:
+ libvigraimpex-dev,
+ python-dev,
+ ${misc:Depends}
 Recommends:
  python-all-dev,
  python-gamera (<= ${source:Version}.0~),
@@ -85,16 +104,20 @@
 
 Package: gamera-gui
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6)
+Pre-Depends:
+ dpkg (>= 1.15.6)
 Depends:
  python,
  python-gamera (<= ${source:Version}.0~),
  python-gamera (>= ${source:Version}),
- python-wxgtk2.8,
+ python-wxgtk3.0,
  ${misc:Depends},
  ${python:Depends}
-Recommends: python-docutils, python-matplotlib
-Suggests: gamera-doc
+Recommends:
+ python-docutils,
+ python-matplotlib
+Suggests:
+ gamera-doc
 Description: GUI for the Gamera framework
  The Gamera framework is a Python library for building custom
  applications for document analysis and recognition.
@@ -104,9 +127,13 @@
 Package: gamera-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6)
-Depends: ${misc:Depends}
-Suggests: gamera-gui, python-gamera
+Pre-Depends:
+ dpkg (>= 1.15.6)
+Depends:
+ ${misc:Depends}
+Recommends:
+ gamera-gui,
+ python-gamera
 Description: documentation for the Gamera framework
  The Gamera framework is a Python library for building custom
  applications for document analysis and recognition.
