=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,15 @@
 export PYTHONHASHSEED=random
 
 export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
-export CFLAGS_noopt = $(patsubst -O%,-O0,$(CFLAGS))
 export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+
+DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+ifeq ($(DEB_BUILD_ARCH),arm64)
+export CFLAGS_noopt = $(patsubst -O2,-O0,$(CFLAGS))
+else
+export CFLAGS_noopt = $(patsubst -O2,-Og,$(CFLAGS))
+endif
 
 nproc = $(or $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS))),1)
 python2 = $(shell pyversions -r)
@@ -86,7 +92,6 @@
 	dh_compress -a
 	dh_fixperms -a
 	dh_strip -a --dbg-package=python-gamera-dbg
-	debian/dh_buildid -a
 	dh_shlibdeps -a
 	dh_installdeb -a
 	dh_gencontrol -a -- -Vvigra:Version=$(vigra_version)
@@ -119,7 +124,7 @@
 		done; \
 		done
 	dh_link -i
-	dh_compress -i
+	dh_compress -i -X.txt
 	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
